Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.tapestry5.services.assets
Enum StreamableResourceProcessing

    java.lang.Object
      java.lang.Enum<StreamableResourceProcessing>
          org.apache.tapestry5.services.assets.StreamableResourceProcessing

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<StreamableResourceProcessing>

    public enum StreamableResourceProcessing

extends java.lang.Enum<StreamableResourceProcessing>

Defines additional features desired when accessing the content of a `Resource` as a `StreamableResource`.

Since:
  5.3
See Also:
  `StreamableResourceSource`

Enum Constant Summary
`COMPRESSION_DISABLED` As with `COMPRESSION_ENABLED`, but the final compression stage (and compression cache) is skipped.
`COMPRESSION_ENABLED` The default behavior when the client supports compression, and an individual (non-aggregated) resources is being accessed.
`FOR_AGGREGATION` Turns off all caching and minification of the resource, which is appropriate when the individual resource will be aggregated with other resources to form a virtual composite.

Method Summary
`static StreamableResourceProcessing` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StreamableResourceProcessing[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COMPRESSION_ENABLED

    public static final StreamableResourceProcessing COMPRESSION_ENABLED

  The default behavior when the client supports compression, and an individual (non-aggregated) resources is being accessed. The resource may be minimized and both the compressed and uncompressed versions may be cached.

### COMPRESSION_DISABLED

    public static final StreamableResourceProcessing COMPRESSION_DISABLED

  As with `COMPRESSION_ENABLED`, but the final compression stage (and compression cache) is skipped. This is appropriate for individual resources where the client does not support compression.

### FOR_AGGREGATION

    public static final StreamableResourceProcessing FOR_AGGREGATION

  Turns off all caching and minification of the resource, which is appropriate when the individual resource will be aggregated with other resources to form a virtual composite.

  See Also:
    `JavaScriptStack`

Method Detail

### values

    public static final StreamableResourceProcessing[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(StreamableResourceProcessing c : StreamableResourceProcessing.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static StreamableResourceProcessing valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2012 The Apache Software Foundation.